- name: Installer Apache
  apt:
    name: apache2
    state: "{{ apache_state }}"
- name: Démarrer Apache
  service:
    name: apache2
    state: started
    enabled: yes
- name: Installer python3-pip
  apt:
    name: python3-pip
- name: Installer python3-pymysql
  apt:
    name: python3-pymysql
- name: Installer MySQL
  apt:
    name: mysql-server
    state: "{{ mysql_state }}"
- name: Demarrer MySQL
  service:
    name: mysql
    state: started
    enabled: yes
- name: Créer une base de données MySQL
  mysql_db:
    name: "{{ mysql_database }}"
    login_unix_socket: /run/mysqld/mysqld.sock
    state: present
- name: Créer un utilisateur MySQL
  mysql_user:
    name: ""
    host: localhost
    state: absent
    login_unix_socket: /run/mysqld/mysqld.sock
- name: Installer PHP
  apt: name={{ item }} update_cache=yes state=latest
  with_items:
    - php8.1
    - composer
    - phpunit
- name: Clonner mon repo gitlab
  git:
    repo: https://gitlab.com/cicd3993309/Discovery.git
    dest: /var/www
    clone: yes
    force: yes
- name: Download les dependances dans /var/www/src/composer.lock
  composer:
    command: install
    working_dir: /var/www/src/
  become: false

- name: Activation du site
  command: a2ensite ynov.conf
  become: true

- name: Désactivation du site par défaut
  command: a2dissite 000-default.conf
  become: true

- name: Redémarrer Apache
  service:
    name: apache2
    state: restarted
    enabled: yes
- name: Add the user 'ynov' with a primary group of 'admin'
  ansible.builtin.user:
    name: ynov
    groups:
      - sudo
      - admin

- name: Vérification de l'état de vie de l'application
  uri:
    url: http://ec2-13-36-211-250.eu-west-3.compute.amazonaws.com/
    status_code: 200
